# 자동응답 메시지 목록 조회

## Request

## 브랜드 내에 등록된 자동응답메시지 목록을 조회합니다.<br>

> 브랜드 내에 등록된 자동응답메시지 목록을 조회합니다.  \
> \
> &#x20; \+ \*\*계정 권한: 마스터, 매니저, 대행사\*\*  \
> &#x20; \+ \*\*브랜드 권한: 브랜드 대표운영자, 운영자\*\* <br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}},"parameters":{"BrandKey":{"name":"X-RCS-Brandkey","in":"header","schema":{"type":"string","maxLength":18},"description":"maxLength: 18 - RCS Biz Center에서 브랜드 등록 시 자동 생성되는 Key 입니다.  \n\n대행사가 해당 브랜드에 대한 권한 여부를 판단하는데 사용됩니다.\n따라서, 대행사 계정으로 브랜드 내 정보를 조회/등록/수정 API 연동 시 Header에 설정되어야 합니다.\n"},"BrandId":{"name":"brandId","in":"path","schema":{"type":"string","maxLength":13},"required":true,"description":"maxLength: 13 - 브랜드 내 정보 접근시 사용되는 브랜드ID Path Parameter 입니다.\n"},"Offset":{"name":"offset","in":"query","schema":{"type":"integer","default":0},"description":"시작 offset 번호(default: 0) 입니다."},"Limit":{"name":"limit","in":"query","schema":{"type":"integer","minimum":100,"maximum":1000,"default":100},"description":"minimum: 100, maximum: 1000 - 조회 최대 건수(default: 100) 입니다.'\n"}}},"paths":{"/brand/{brandId}/autoreplymsg":{"get":{"summary":"브랜드 내에 등록된 자동응답메시지 목록을 조회합니다.\n","description":"브랜드 내에 등록된 자동응답메시지 목록을 조회합니다.  \n\n  + **계정 권한: 마스터, 매니저, 대행사**  \n  + **브랜드 권한: 브랜드 대표운영자, 운영자** \n","parameters":[{"$ref":"#/components/parameters/BrandKey"},{"$ref":"#/components/parameters/BrandId"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="120">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>자동응답메시지 기본 정보입니다.</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr><tr><td><a href="#pagination-object"><mark style="color:blue;"><strong><code>pagination</code></strong></mark></a></td><td>object</td><td align="center"></td><td align="center">O</td><td></td><td>전체 건수와 페이징 조건을 제공합니다.</td></tr><tr><td><a href="#links-object"><mark style="color:blue;"><strong><code>links</code></strong></mark></a></td><td>object</td><td align="center"></td><td align="center">O</td><td></td><td>이전/다음 페이지 링크를 제공합니다. offset을 0이 아닌 limit보다 작은 양수값으로 설정한 경우 prev 는 null로 응답됩니다.</td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="206">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="120">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>brandId</code></strong></td><td>string</td><td align="center">13</td><td align="center">O</td><td></td><td>자동응답메시지 기본 정보입니다.</td></tr><tr><td><strong><code>autoReplyMsgId</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>autoReplyMsgName</code></strong></td><td>string</td><td align="center">100</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>messagebaseId</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td></td></tr><tr><td><strong><code>approvalResult</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td></td></tr><tr><td><strong><code>registerDate</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td></td></tr><tr><td><strong><code>updateDate</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td></td></tr><tr><td><strong><code>registerId</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td></td></tr><tr><td><strong><code>updateId</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">pagination</mark> - object

<table data-full-width="true"><thead><tr><th width="143">필드명</th><th width="91">타입</th><th width="98" align="center">길이</th><th width="112" align="center">필수여부</th><th width="93">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>total</code></strong></td><td>integer</td><td align="center"></td><td align="center">O</td><td></td><td>전체건수</td></tr><tr><td><strong><code>offset</code></strong></td><td>integer</td><td align="center"></td><td align="center">O</td><td>0</td><td>조회 기준 위치</td></tr><tr><td><strong><code>limit</code></strong></td><td>integer</td><td align="center"></td><td align="center">O</td><td>100</td><td>페이지 당 조회 건수</td></tr></tbody></table>

### <mark style="color:blue;">links</mark> - object

<table data-full-width="true"><thead><tr><th width="145">필드명</th><th width="89">타입</th><th width="99" align="center">길이</th><th width="112" align="center">필수여부</th><th width="90">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>prev</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>이전페이지URL</td></tr><tr><td><strong><code>next</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>다음페이지URL</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "brandId": "BR.0Qn6dj8Goh",
            "autoReplyMsgId": "ARM8Q97K45uti2X",
            "autoReplyMsgName": "자동응답 메시지 명 입니다 (medium)",
            "messagebaseId": "RPCSMMX001",
            "approvalResult": "저장",
            "registerDate": null,
            "updateDate": "2026-04-20T21:15:17.000+09",
            "registerId": "yoonmin9411",
            "updateId": "yoonmin9411"
        },
        {
            "brandId": "BR.0Qn6dj8Goh",
            "autoReplyMsgId": "ARMncHxBauc9Z6t",
            "autoReplyMsgName": "자동응답 메시지 명 입니다 (tall)",
            "messagebaseId": "RPCSMTX001",
            "approvalResult": "저장",
            "registerDate": null,
            "updateDate": "2026-04-20T21:14:50.000+09",
            "registerId": "yoonmin9411",
            "updateId": "yoonmin9411"
        },
        {
            "brandId": "BR.0Qn6dj8Goh",
            "autoReplyMsgId": "ARM4aj8cxE1ryqx",
            "autoReplyMsgName": "자동응답 메시지 명 입니다",
            "messagebaseId": "RPCSAXX001",
            "approvalResult": "저장",
            "registerDate": null,
            "updateDate": "2026-04-20T21:14:18.000+09",
            "registerId": "yoonmin9411",
            "updateId": "yoonmin9411"
        },
        {
            "brandId": "BR.0Qn6dj8Goh",
            "autoReplyMsgId": "ARMJqb8TG1dn0cd",
            "autoReplyMsgName": "자동응답 메시지 명 입니다.",
            "messagebaseId": "TMCSA00001",
            "approvalResult": "저장",
            "registerDate": null,
            "updateDate": "2026-04-20T21:16:22.000+09",
            "registerId": "yoonmin9411",
            "updateId": "yoonmin9411"
        }
    ],
    "pagination": {
        "offset": 0,
        "limit": 30,
        "total": 4
    },
    "links": {
        "prev": null,
        "next": null
    },
    "status": 200
}
```

{% endtab %}

{% tab title="400" %}

```
{
    "error": {
        "code": "64002",
        "message": "Invalid Brand Key"
    },
    "status": 400
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}

{% tab title="403" %}

```
{
    "error": {
        "code": "63001",
        "message": "No Brand Permission"
    },
    "status": 403
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/autoreplymsg/get_autoreplymsg_list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
